GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/x86-nat.h File Reference
`#include "nat/x86-dregs.h"`

Go to the source code of this file.

## Functions
void | x86_use_watchpoints (struct target_ops *)
void | x86_set_debug_register_length (int len)
void | x86_cleanup_dregs (void)
void | x86_forget_process (pid_t pid)

## Function Documentation

## ◆ x86_cleanup_dregs()

void x86_cleanup_dregs | ( | void |  | ) |

Definition at line 139 of file x86-nat.c.

References inferior_ptid, ptid_get_pid(), and x86_forget_process().

Referenced by go32_mourn_inferior(), windows_detach(), windows_mourn_inferior(), and x86_linux_child_post_startup_inferior().

## ◆ x86_forget_process()

void x86_forget_process | ( | pid_t | pid | ) |

Definition at line 113 of file x86-nat.c.

References proc::next, pid, x86_process_list, and xfree().

Referenced by x86_cleanup_dregs(), and x86_linux_add_target().

## ◆ x86_set_debug_register_length()

void x86_set_debug_register_length | ( | int | len | ) |

Definition at line 303 of file x86-nat.c.

References add_show_debug_regs_command(), x86_dr_low_type::debug_register_length, gdb_assert, and x86_dr_low.

Referenced by _initialize_amd64_windows_nat(), _initialize_go32_nat(), _initialize_i386_windows_nat(), _initialize_i386gnu_nat(), darwin_complete_target(), x86_linux_create_target(), and x86bsd_target().

## ◆ x86_use_watchpoints()

void x86_use_watchpoints | ( | struct target_ops * |  | ) |

Definition at line 285 of file x86-nat.c.

References target_ops::to_can_use_hw_breakpoint, target_ops::to_have_continuable_watchpoint, target_ops::to_insert_hw_breakpoint, target_ops::to_insert_watchpoint, target_ops::to_region_ok_for_hw_watchpoint, target_ops::to_remove_hw_breakpoint, target_ops::to_remove_watchpoint, target_ops::to_stopped_by_watchpoint, target_ops::to_stopped_data_address, x86_can_use_hw_breakpoint(), x86_insert_hw_breakpoint(), x86_insert_watchpoint(), x86_region_ok_for_watchpoint(), x86_remove_hw_breakpoint(), x86_remove_watchpoint(), x86_stopped_by_watchpoint(), and x86_stopped_data_address().

Referenced by _initialize_go32_nat(), _initialize_i386gnu_nat(), _initialize_windows_nat(), darwin_complete_target(), x86_linux_create_target(), and x86bsd_target().